> For the complete documentation index, see [llms.txt](https://docs.tiny.plus/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tiny.plus/api/getting-access.md).

# Getting access

Which method you'll use to access our API will depend on what you're planning to build. Read on to find the best method for your use case.

## I'm a tiny+ customer building a marketing website to capture contacts and leads into tiny+

If you're a tiny+ customer and would like to capture enquiries, contacts or leads directly from your website, you can register for a [Javascript token](/api/getting-access/javascript-token.md). This token will allow you to create Projects, Enquiries and Contacts directly from your website.&#x20;

## I'm a tiny+ customer building an integration for my own organisation

If you're a tiny+ customer and would like to build an integration between tiny+ and another system your firm uses; such as an intranet, a practice management platform or a reporting service, you can generate a [Simple access token](/api/getting-access/getting-an-access-token.md).

## I'm building an integration for other tiny+ customers

If you are building an integration between tiny+ and your own application, and you want your customers to be able to access their tiny+ data in your application, you'll need to register for a [Client App](/api/getting-access/register-a-client-app.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tiny.plus/api/getting-access.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
